Subject: PC in Bali & Java

From: CtopherP <[email-masked]>
Date: Mon, 9 Mar 1998 14:51:58 EST

Greetings friends-
I'm writing again to ask for your help in connecting friends with permaculture
while they travel. Everyone was so helpful with my last request that this is
the natural place for me to turn. This couple is going to Bali and Java and is
interested in visisting pc sites on those islands. You can respond to me
directly: [email-masked].
Thanks for your help,
Christopher Peck
Santa Fe, NM USA